import { CSSProperties } from 'react';
import { NodeTaskData } from '../../../nodes/mapper';
import { TaskType, CommonTaskDef, SwitchTaskDef } from '../../../../../types';
interface ShapeProps<T extends CommonTaskDef = CommonTaskDef> {
    type: ShapeComponentForTypeParams;
    nodeData: NodeTaskData<T>;
    onToggleTaskMenu: (event: any) => void;
    portsVisible?: boolean;
    nodeWidth?: number;
    nodeHeight?: number;
    isInconsistent: boolean;
    listeners?: any;
    style?: CSSProperties;
    handle?: boolean;
}
export type ShapeComponentForTypeParams = TaskType & "FORK_JOIN_COLLAPSED";
type ShapePropsToShape<T extends CommonTaskDef = CommonTaskDef> = (props: ShapeProps<T>) => JSX.Element;
export declare const SHAPES_FOR_TYPE: {
    FORK_JOIN_COLLAPSED: (props: ShapeProps) => import("react/jsx-runtime").JSX.Element;
    DO_WHILE: (props: ShapeProps) => import("react/jsx-runtime").JSX.Element;
    TERMINAL: (props: ShapeProps) => import("react/jsx-runtime").JSX.Element;
    SWITCH: ShapePropsToShape<SwitchTaskDef>;
    DECISION: ShapePropsToShape<SwitchTaskDef>;
    TASK_SUMMARY: (props: ShapeProps) => import("react/jsx-runtime").JSX.Element;
    SUB_WORKFLOW: (props: ShapeProps) => import("react/jsx-runtime").JSX.Element;
    SWITCH_JOIN: (props: ShapeProps) => import("react/jsx-runtime").JSX.Element;
};
export declare const Shape: import('react').ForwardRefExoticComponent<ShapeProps<CommonTaskDef> & import('react').RefAttributes<HTMLDivElement>>;
export {};
