import { Crumb, CommonTaskDef, TaskStatus } from '../../../../types';
import { NodeData } from 'reaflow';
import { NodeTaskData } from './types';
export declare const extractTaskReference: (t: CommonTaskDef) => string;
export declare const extractLastTaskReferenceFn: (...args: any[]) => any;
export declare const extractExecutionDataOrEmpty: (task?: CommonTaskDef & {
    executionData?: any;
}) => any;
export declare const taskHasCompleted: (task?: CommonTaskDef, consideredCompletedStatus?: TaskStatus[]) => boolean;
export declare const taskIsPending: (task?: CommonTaskDef, consideredPendingTaskStatus?: TaskStatus[]) => boolean;
export declare const maybeEdgeData: (currentTask: CommonTaskDef, previousTask?: CommonTaskDef, unreachableEdge?: boolean) => {
    data: {
        status: TaskStatus;
        unreachableEdge: boolean;
    };
} | {
    data: {
        unreachableEdge: boolean;
        status?: undefined;
    };
};
export declare const edgeIdMapper: ({ taskReferenceName: sourceTaskReferenceName }: CommonTaskDef, { taskReferenceName: destinationTaskReferenceName }: CommonTaskDef) => string;
export declare const taskToNode: <T extends CommonTaskDef>(task: T, crumbs?: Crumb[], additionalProps?: {}) => NodeData<NodeTaskData>;
