import { TagDto } from './Tag';
export declare enum IntegrationType {
    AZURE_OPENAI = "azure_openai",
    OPENAI = "openai",
    VERTEX_AI = "vertex_ai",
    PINECONE_DB = "pineconedb",
    WEAVIATE_DB = "weaviatedb",
    HUGGING_FACE = "huggingface",
    NATS_MESSAGING = "nats",
    CONFLUENT_KAFKA = "kafka_confluent",
    AMAZON_MSK = "kafka_msk",
    AZURE_SERVICE_BUS = "azure_service_bus",
    AWS_SQS = "aws_sqs",
    AWS_BEDROCK_ANTHROPIC = "aws_bedrock_anthropic",
    RELATIONAL_DB = "RELATIONAL_DB",
    AWS_BEDROCK_LLAMA2 = "aws_bedrock_llama2",
    AWS_BEDROCK_TITAN = "aws_bedrock_titan",
    GCP_PUBSUB = "gcp_pubsub",
    AMQP = "amqp",
    AWS_BEDROCK_COHERE = "aws_bedrock_cohere",
    MISTRAL = "mistral"
}
type BaseIntegration = {
    category: string;
    categoryLabel: string;
    configuration: IntegrationConfigFieldModel[];
    description: string;
    enabled: boolean;
    iconName: string;
    name: string;
    nameLabel: string;
    type: IntegrationType;
};
export type IntegrationDef = BaseIntegration & {
    tags: string[];
};
export type IntegrationI = BaseIntegration & {
    tags: TagDto[];
};
export type ModelDto = {
    createdOn: number;
    updatedOn: number;
    createdBy: string;
    updatedBy: string;
    integrationName: string;
    api: string;
    description: string;
    configuration: {
        [key: string]: string;
    };
    enabled: boolean;
    tags: TagDto[];
    endpoint?: string;
};
export type IntegrationConfigFieldModel = {
    description: string;
    fieldName: string;
    fieldType: string;
    label: string;
    valueOptions?: {
        label: string;
        value: string;
    }[];
    optional: boolean;
    dependsOn?: {
        fieldName: string;
        value: string;
    }[];
    value?: string;
};
export type IntegrationConfigFormField = {
    name: string;
    label: string;
    helperText: string;
    type: string;
    value: string;
    optional: boolean;
    options?: {
        label: string;
        value: string;
    }[];
};
export {};
