export interface WebhookExecution {
    eventId: string;
    matched: boolean;
    workflowIds: string[];
    payload: string;
    timeStamp: number;
}
export interface WebhookDefinition {
    id?: string;
    name: string;
    receiverWorkflowNamesToVersions: {
        [key: string]: number;
    };
    workflowsToStart: {
        [key: string]: number | string | undefined;
    };
    headers: {
        [key: string]: string;
    }[];
    webhookExecutionHistory: WebhookExecution[];
    urlVerified: boolean;
    sourcePlatform: string;
    verifier: string;
    headerKey: string;
    secretKey: string;
    secretValue: string;
    createdBy: string;
}
